> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

> Update a user's details such as name, email, and password



## OpenAPI

````yaml put /users/{userUUID}
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /users/{userUUID}:
    put:
      tags:
        - Users
      summary: Update user
      description: Update a user's details such as name, email, and password
      parameters:
        - description: Bearer Token
          name: Authorization
          in: header
          required: true
          schema:
            type: string
        - description: User UUID
          name: userUUID
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/user.UpdateRequest'
        description: User details
        required: true
      responses:
        '200':
          description: User updated
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/response.Response'
                  - type: object
                    properties:
                      content:
                        $ref: '#/components/schemas/user.Response'
        '400':
          description: Bad request response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.BadRequestErrorResponse'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnauthorizedErrorResponse'
        '422':
          description: Unprocessable input response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnprocessableErrorResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.InternalServerErrorResponse'
components:
  schemas:
    user.UpdateRequest:
      type: object
      properties:
        bio:
          type: string
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    user.Response:
      type: object
      properties:
        bio:
          type: string
        createdAt:
          type: string
        email:
          type: string
        organizationUuid:
          type: string
        roleId:
          type: integer
        status:
          type: string
        updatedAt:
          type: string
        username:
          type: string
        uuid:
          type: string
    response.BadRequestErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Invalid input parameter
        success:
          type: boolean
          example: false
    response.UnauthorizedErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Unauthorized access
        success:
          type: boolean
          example: false
    response.UnprocessableErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Validation failed
        success:
          type: boolean
          example: false
    response.InternalServerErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Internal server error
        success:
          type: boolean
          example: false

````